<script>
	import appMixins from '@/mixins/appMixins.js'
	export default {
		mixins: [appMixins],
		onLaunch() {
			//小程序热更新代码
			const updateManager = uni.getUpdateManager()
			updateManager.onCheckForUpdate(function(res) {
			    console.log(res.hasUpdate)
			})
			updateManager.onUpdateReady(function(res) {
			    uni.showModal({
			        title: '更新提示',
			        content: '新版本已经准备好，是否重启小程序？',
			        success(res) {
			            if (res.confirm) {
			                updateManager.applyUpdate()
			            }
			        }
			    })
			})
			this.initSetSystemInfo()
			this.appUpdataRefresh()
		},
		onShow() {
			
		},
		onHide() {
			console.log('App Hide')
		},
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import "@/common/css/common.scss";
	@import "@/common/css/iconfont.scss";
	@import "@/common/css/style/thorui.css";
	@import "@/common/css/style/icon.css";

view,
scroll-view,
swiper,
swiper-item,
cover-view,
cover-image,
icon,
text,
rich-text,
progress,
button,
checkbox,
form,
input,
label,
radio,
slider,
switch,
textarea,
navigator,
audio,
camera,
image,
video {
	// box-sizing: border-box;
}
// page {
//   width: 100%;
//   height: 100%;
//   background: #fff;
//   filter: grayscale(100%);
//   filter: gray;
//   filter: progid:DXImageTransform.Microsoft.BasicImage(grayscale=1);
//   --toast-default-width: 114px;
// }
page{
	height: 100%;
	background-color: #FFFFFF;
}
/* 骨架屏替代方案 */
.Skeleton {
	background: #f3f3f3;
	padding: 20upx 0;
	border-radius: 8upx;
}

.clamp {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	display: block;
}

.common-hover {
	background: #f5f5f5;
}
/* input 样式 */
.input-placeholder {
	color: #999999;
}

.placeholder {
	color: #999999;
}
</style>
